Skip to main content
`Ctrl`+`K`

# MatComputeOperatorTranspose

Computes the explicit matrix representation of a give matrix that can apply `MatMultTranspose()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatComputeOperatorTranspose(Mat inmat, MatType mattype, Mat *mat)

Collective

## Input Parameters

- inmat - the matrix

- mattype - the matrix type for the explicit operator

## Output Parameter

- mat - the explicit operator transposed

## Note

This computation is done by applying the transpose of the operator to columns of the identity matrix. This routine is costly in general, and is recommended for use only with relatively small systems. Currently, this routine uses a dense matrix format if `mattype` == `NULL`.

## See Also

Matrices, `Mat`, `MatConvert()`, `MatMult()`, `MatComputeOperator()`

## Level

advanced

## Location

src/mat/utils/axpy.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages